Support » Plugin: User Photo » [Plugin: User Photo] Current version causing notices / warnings [fixed]

  • I deactivated all plugins to confirm the one causing the following problems was definitely user_photo.

    With debug enabled I get the following notice:

    Notice: load_plugin_textdomain was called with an argument that is deprecated since version 2.7 with no alternative available. in /home/user/public_html/wp-includes/functions.php on line 2714

    With Debug bar enabled, this causes warnings as well:

    WARNING: wp-includes/functions.php:924 - Cannot modify header information - headers already sent by (output started at /home/user/public_html/wp-includes/functions.php:2714)
    WARNING: wp-includes/functions.php:3513 - Cannot modify header information - headers already sent by (output started at /home/user/public_html/wp-includes/functions.php:2714)
    WARNING: wp-admin/admin-header.php:9 - Cannot modify header information - headers already sent by (output started at /home/user/public_html/wp-includes/functions.php:2714)

    The warnings are coming from the “_deprecated_argument” function in WP core – only because debug is enabled, but I think its important.
    I disabled those lines (2709-2715) to test, then I get the raw notices about a second error:

    wp-admin/includes/plugin.php:1008 - Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead.
    wp-admin/menu-header.php:112 - Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead.

    FIRST ERROR FIX

    load_plugin_textdomain is called on line 77 of user-photo.php:

    load_plugin_textdomain('user-photo', PLUGINDIR . '/user-photo/localization');

    The second argument is depreciated, as per following instructions, it should pass false for the second argument and use a third ($plugin_rel_path).
    http://codex.wordpress.org/Function_Reference/load_plugin_textdomain

    Use the following instead:

    load_plugin_textdomain('user-photo', false, dirname( plugin_basename( __FILE__ ) ) . '/localization/');

    SECOND ERROR FIX

    Line 671 of user-photo.php:
    add_options_page('User Photo', 'User Photo', 8, __FILE__, 'userphoto_options_page');

    Uses the depreciated user level 8. I changed it to use the updated capabilities.
    add_options_page('User Photo', 'User Photo', 'add_users', __FILE__, 'userphoto_options_page');

    The ‘add_users’ capability is only for admins, which is compatible with level 8 permissions.

    http://wordpress.org/extend/plugins/user-photo/

Viewing 7 replies - 1 through 7 (of 7 total)
Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘[Plugin: User Photo] Current version causing notices / warnings [fixed]’ is closed to new replies.